/*
 * This file is part of OsmInEdit, released under ISC license (see LICENSE.md)
 *
 * Copyright (c) Adrien Pavie 2019
 * Copyright (c) Daimler AG 2019
 *
 * Permission to use, copy, modify, and/or distribute this software for any purpose with or without fee is hereby granted, provided that the above copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */

import LocationCard from './view/common/LocationCard';
import App from './view/App'


let datas = [
	new LocationCard(39.96327, 116.36849, 1010, (new Date(Date.now())).toUTCString(), "c1", "1010"),
	new LocationCard(39.96337, 116.36859, 1010, (new Date(Date.now())).toUTCString(), "c2", "1010")
];

// Create app

let app = new App("swa3s5ex");

setInterval(() => {
	datas.forEach(item => {
		item.lng+=0.00001;
		item.lat+=0.00001;
	});
}, 1000);

setInterval(() => {
	app.updateMarkerPosition(datas);
}, 1000);
